sattach(1)

NAME

sattach - Attach to a SLURM job step.

SYNOPSIS

sattach [options] <jobid.stepid>

DESCRIPTION

sattach attaches to a running SLURM job step. By attaching, it makes available the IO streams of all of the tasks of a running SLURM job step. It also suitable for use with a parallel debugger like TotalView.

OPTIONS

--input-filter[=]<task number>
--output-filter[=]<task number>
--error-filter[=]<task number>
    Only transmit standard input to a single task, or print the standard output or standard error from a single task. The filtering is performed locally in sattach.

-l, --label
    Prepend each line of task standard output or standard error with the task number of its origin.

--layout
    Contacts the slurmctld to obtain the task layout information for the job step, prints the task layout information, and then exits without attaching to the job step.

-q, --quiet
    Suppress informational messages from sattach. Errors will still be displayed.

-v, --verbose
    Increase the verbosity of sattach's informational messages. Multiple -v's will further increase slaunch's verbosity.

-h, --help
    Display help information and exit.

-u, --usage
    Display brief usage message and exit.

-V, --version
    Display SLURM version number and exit.

EXAMPLES

sattach 15.0 sattach --output-filter 5 65386.15

SEE ALSO

sinfo(1), slaunch(1), salloc(1), sbatch(1), squeue(1), scancel(1), scontrol(1), slurm.conf(5), sched_setaffinity(2), numa(3)